var CFG_DirEquipo = "cfg.ip.eth0.addr";
var DEF_DirEquipo = "192.168.1.51";
var CFG_ModoRed = "cfg.ip.eth0.mode";
var DEF_ModoRedStatic = "static";

function Pag_Red_DirEquipo_Show() {
	var cIPDir = "";
	if (getToken(CFG_ModoRed, DEF_ModoRedStatic) == DEF_ModoRedStatic) {
		cIPDir = getToken(CFG_DirEquipo, DEF_DirEquipo);
	}
	Pag_Red_Show();
	//document.getElementById("Pag_Red").style.backgroundImage = "url(fondo_completo.png)";
	document.getElementById("Pag_Red_Form").innerHTML = 
		 '<table width="390px" height="455px" cellpadding="10" cellspacing="10" style="table-layout: fixed; background-image: url(fondo_frame.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="310px"/></tr>'
		+'	<tr height="33px"><td width="310px" class="font15">Introduzca la dirección IP que desea establecer al equipo o deje el valor en blanco para usar DHCP</td></tr>'
		+'	<tr height="33px" align="top"><td width="310px" id="Pag_Red_DirEquipo_Valor" style="background-position: 0px 5px; background-image: url(cursor_datos.png); background-repeat: no-repeat;" class="font16">' + cIPDir + '|&nbsp;&nbsp;&nbsp;</td></tr>'
		+'	<tr height="33px" valign="top"><td id="Pag_Red_DirEquipo_Info" class="font16"/></td></tr>'
		+'	<tr height="33px" valign="top"><td class="font16" style="background-position: 2px 12px; background-image: url(botonera.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Borrar<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Guardar<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Para introducir un punto (.)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cancelar</td></tr>'
		+'	<tr/>'
		+'</table>';
	cPaginaVisible = "Pag_Red_DirEquipo";
}

function Pag_Red_DirEquipo_Close() {
	Pag_Red_Show(OPC_Red_DirEquipo);
}

function Pag_Red_DirEquipo_KeyDown(keyChar) {
	var cTemp;
	var cTemp2;
	try {
		if (NumberInput_KeyDown("Pag_Red_DirEquipo", keyChar) == 0) {
			return 0;
		} else switch (keyChar) {
			case KEY_YELLOW:
				cTemp = document.getElementById("Pag_Red_DirEquipo_Valor").innerHTML;
				cTemp = cTemp.slice(0,-cCursor.length);
				document.getElementById("Pag_Red_DirEquipo_Valor").innerHTML = cTemp + "." + cCursor;
				return 0;
			case KEY_GREEN:
				cTemp = document.getElementById("Pag_Red_DirEquipo_Valor").innerHTML;
				cTemp = cTemp.slice(0,-cCursor.length);
				if (cTemp == "") {
					// va a dar error, pero actualiza el valor de todos modos
					try {
						setToken(CFG_ModoRed, "dhcp");
					} catch(ex) {}
				} else {
					setToken(CFG_DirEquipo, cTemp);
					// va a dar error, pero actualiza el valor de todos modos
					try {
						setToken(CFG_ModoRed, "static");
					} catch(ex) {}
				}
				Pag_Red_DirEquipo_Close();
				return 0;
			case KEY_BLUE:
			case KEY_LEFT:
			case KEY_BACK:
				Pag_Red_DirEquipo_Close();
				return 0;
		}
	} catch(ex) {
		alert("Pag_Red_DirEquipo_KeyDown: " + ex);
	}
	return 1;
}
